> ## Documentation Index
> Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# check token if valid

> Check if the token is valid and return user info. Check token's expiration time.



## OpenAPI

````yaml /connect-api/openapi.json get /api/token
openapi: 3.0.0
info:
  title: GNet Connect API
  version: 1.0.0
  description: API for the GNet Connect platform
servers:
  - url: https://core.grdd.dev
    description: Development server
  - url: https://core.grdd.net
    description: Production server
security: []
paths:
  /api/token:
    get:
      tags:
        - auth
      summary: check token if valid
      description: >-
        Check if the token is valid and return user info. Check token's
        expiration time.
      operationId: check_token
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success

````